Verfügbare Telefonnummern suchen
Carrier-Inventar gefiltert nach Standort und Funktionsanforderungen durchsuchen.
curl -X GET "https://api.talkturo.com/api/phone-numbers/search?areaCode=example_string&countryCode=USA&phoneNumberPattern=%2B1-555-0123&features=example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.talkturo.com/api/phone-numbers/search?areaCode=example_string&countryCode=USA&phoneNumberPattern=%2B1-555-0123&features=example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/phone-numbers/search?areaCode=example_string&countryCode=USA&phoneNumberPattern=%2B1-555-0123&features=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.talkturo.com/api/phone-numbers/search?areaCode=example_string&countryCode=USA&phoneNumberPattern=%2B1-555-0123&features=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/phone-numbers/search?areaCode=example_string&countryCode=USA&phoneNumberPattern=%2B1-555-0123&features=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"success": true,
"numbers": [
{
"phoneNumber": "+1-555-0123",
"country": "USA",
"type": "example_string",
"cost": "example_string",
"features": [
"example_string"
]
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
/phone-numbers/search
Target server for requests. Edit to use your own host.
Authentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session). Browser-Clients senden dies nach der Anmeldung typischerweise automatisch. Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.
Auf eine lokale Vorwahl filtern
Ländercode wie US
Vom Carrier unterstütztes Nummernmuster
Kommagetrennte erforderliche Fähigkeiten (z. B. sms,voice)
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Authentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session). Browser-Clients senden dies nach der Anmeldung typischerweise automatisch. Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.
Query Parameters
Auf eine lokale Vorwahl filtern
Ländercode wie US
Vom Carrier unterstütztes Nummernmuster
Kommagetrennte erforderliche Fähigkeiten (z. B. sms,voice)